#ifndef __SORT_H
#define __SORT_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h> 

#define VEC_SIZE 64
#define BUF_SIZE 64

typedef struct {
    unsigned long count, size;
    char **data;
} vec;

char *read_line(FILE* stream);
vec *vec_init(void);
void vec_add(vec *v, char *s);
void vec_free(vec *v);
static int qsort_strcmp(const void *p1, const void *p2);

#endif

